SOURCES: urbanterror.sh (NEW), urbanterror.autodlrc (NEW), urbanterror.png ...

glen glen at pld-linux.org
Tue Jan 27 15:25:21 CET 2009


Author: glen                         Date: Tue Jan 27 14:25:21 2009 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- from fedora quake3

---- Files affected:
SOURCES:
   urbanterror.sh (NONE -> 1.1)  (NEW), urbanterror.autodlrc (NONE -> 1.1)  (NEW), urbanterror.png (NONE -> 1.1)  (NEW), urbanterror.desktop (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/urbanterror.sh
diff -u /dev/null SOURCES/urbanterror.sh:1.1
--- /dev/null	Tue Jan 27 15:25:22 2009
+++ SOURCES/urbanterror.sh	Tue Jan 27 15:25:12 2009
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+. /usr/share/opengl-games-utils/opengl-game-functions.sh
+
+checkDriOK "Urban Terror"
+
+if [ ! -f ~/.q3a/q3ut4/zpak000.pk3 ]; then
+  set +e
+  /usr/share/autodl/AutoDL.py /usr/share/quake3/urbanterror.autodlrc
+  STATUS=$?
+  set -e
+  # status 2 means download was ok, but the user choice not to start the game
+  if [ "$STATUS" = "0" -o "$STATUS" = "2" ]; then
+    pushd ~/.q3a > /dev/null
+    unzip -qq -u UrbanTerror_41_FULL.zip
+    # remove any old versions (if present) otherwise the mv fails
+    rm -fr q3ut4
+    mv UrbanTerror/q3ut4 .
+    rm -r UrbanTerror UrbanTerror_41_FULL.zip
+    popd > /dev/null
+  fi
+  if [ "$STATUS" != "0" ]; then
+    exit $STATUS
+  fi
+fi
+
+exec quake3 +set fs_game q3ut4 +set com_hunkMegs 256 "$@"

================================================================
Index: SOURCES/urbanterror.autodlrc
diff -u /dev/null SOURCES/urbanterror.autodlrc:1.1
--- /dev/null	Tue Jan 27 15:25:23 2009
+++ SOURCES/urbanterror.autodlrc	Tue Jan 27 15:25:12 2009
@@ -0,0 +1,31 @@
+[MESSAGELIST]
+[MESSAGE]
+	[TITLE]Please click 'Accept' to allow internet access.[/TITLE]
+	[TEXT]In order to play the free multiplayer first person shooter: Urban Terror, the Urban Terror datafiles are needed. Urban Terror is a mod/total conversion based on the Quake 3 engine.
+
+Click Accept, to download the Urban Terror datafiles, which can be freely downloaded from the internet. The Urban Terror zip is around 700MB, so you need a minimum of 1.4GB free space on your HOME partition!
+[/TEXT]
+[/MESSAGE]
+[MESSAGE]
+	[TITLE]License Information[/TITLE]
+	[TEXT]Urban Terror is distributed free over the Internet and is covered by the Quake 3SDK licence agreement [EULA]. The mod files may not be sold [in any form] or distributed on physical media unless with permission from iD Software.
+
+For further information on legal use of programs derived from Quake 3 source code, please contact their respective authors.[/TEXT]
+[/MESSAGE]
+[/MESSAGELIST]
+
+[FILELIST]
+[FILE]
+	[FILENAME]UrbanTerror_41_FULL.zip[/FILENAME]
+	[MD5]1370306ea236f65f595e7ca70765e469[/MD5]
+	[PATH]$HOME/.q3a[/PATH]
+	[MIRRORS]
+		[URL]http://vlaai.snt.utwente.nl/pub/games/urbanterror/UrbanTerror_41_FULL.zip[/URL]
+		[URL]http://www.complex-microcosm.com/4711_UrbanTerror_41_FULL.zip[/URL]
+		[URL]http://mirror.kickassctf.com/UrbanTerror_41_FULL.zip[/URL]
+		[URL]http://mrsentry.net/release/UrbanTerror_41_FULL.zip[/URL]
+		[URL]http://www.iourt.com/urt41/UrbanTerror_41_FULL.zip[/URL]
+		[URL]http://mirror.ncsa.uiuc.edu/ut4/urbanterror/UrbanTerror_41_FULL.zip[/URL]
+	[/MIRRORS]
+[/FILE]
+[/FILELIST]

================================================================
Index: SOURCES/urbanterror.png
<<Binary file>>

================================================================
Index: SOURCES/urbanterror.desktop
diff -u /dev/null SOURCES/urbanterror.desktop:1.1
--- /dev/null	Tue Jan 27 15:25:24 2009
+++ SOURCES/urbanterror.desktop	Tue Jan 27 15:25:16 2009
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Urban Terror
+Comment=Urban Terror launcher, will automatically download the needed data-files
+Exec=urbanterror
+Icon=urbanterror
+Terminal=false
+Type=Application
+Categories=Game;ActionGame;
================================================================


More information about the pld-cvs-commit mailing list